/********************************************************************
*		     JPassManage version 3.0								*
*   Management of login and password for sites or software			*
*		       Software for Palm Os									*
*                Copyright (C) 2002  Arnaud FARINE 					*
*		    <arnaud.farine@wanadoo.fr>								*
* This program is free software; you can redistribute it and/or		*
* modify it under the terms of the GNU General Public License		*
* as published by the Free Software Foundation; either version 2	*
* of the License, or (at your option) any later version.			*
*																	*
* This program is distributed in the hope that it will be useful,	*
* but WITHOUT ANY WARRANTY; without even the implied warranty of	*
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the		*
* GNU General Public License for more details.						*
*																	*
* You should have received a copy of the GNU General Public License	*
* along with this program; if not, write to 						*
*                    Free Software Foundation, Inc.,				*
*		      59 Temple Place - Suite 330,							*
*		      Boston, MA  02111-1307, USA.							*
*********************************************************************
/**
* ContMere
* @author Arnaud FARINE
* @version 4.3
*/
import waba.ui.*;
import waba.util.Vector;
import waba.fx.Color;
import waba.sys.Settings;
/**
* Container de base de l'application 
* Permet de disposer pour toutes les autres fentres de mthodes communes
*/
public class ContMere extends Container {
	AccesDaoPDB dao;
	Vector listRecord;
	int longVect=-1;
	ComboBox comboVu;
	ComboBox comboCache;
	
	public static final int MULTIX = Settings.screenWidth / 160;
	public static final int MULTIY = Settings.screenHeight / 160;
	
	Color fonds;
	Color texteGen;
	Color titre;
	Color fondsMsg;
	Color texteMsg;
	
	public ContMere(){
		setColorMain();
		comboVu = new ComboBox();
		comboCache = new ComboBox();

	}
	
	private void setColorMain(){
		if (Settings.isColor){
  			fonds = new Color(255,255,204); //jaune
  			texteGen = new Color(153,0,102); //bordeau
  			fondsMsg = fonds;
  			texteMsg = new Color(153,51,204);//violet	
  		}
  		else {
  			fonds = Color.WHITE;
  			texteGen = Color.BLACK;
  			fondsMsg = fonds;
  			texteMsg = Color.BLACK;
  		}
  	}
	/**
	* Recherche les informations dans la base de donnes
	* afin de les afficher dans les combobox
	*/
	public void chercheValeur(){
		dao = new AccesDaoPDB();
		listRecord = dao.readAllEnreg();
		dao.dbClose();
		dao=null;
		longVect = listRecord.getCount();
		if (longVect==0) return;
		EnregIdPwd enreg;
		String site;
		for (int i=0;i<longVect;i++){
			enreg = (EnregIdPwd)listRecord.get(i);
			site=enreg.getSite();
			comboVu.add(site);
			comboCache.add(site + "*" + enreg.getId());
		}
		comboVu.qsort();
		comboCache.qsort();
	}
	
	/**
	* Retrouve l'identifiant d'un site affich dans la combobox
	* @param indsel L'index de l'element selectionn dans la Combo 
	* @return Le numro d'enregistrement concern par la slection
	*/ 
	protected int trouverId(int indsel){
		String sitecache=(String)(comboCache.getItemAt(indsel));
		String lenb =sitecache.substring(sitecache.indexOf("*")+1,sitecache.length()); 
		return toInt(lenb,0,lenb.length());
	}
	
	 /**
	 * @author Henning Strang
	 * Transforme une chaine en nombre entier
	 */
	 
	 protected static int toInt(String str, int start, int length)
     {
        int x=0, i,
            top=(start+length),          // get last index position in string
            str_len=str.length();        // get length of string

        top= ( top < str_len ? top : str_len);

        for (i=start; i<top; i++)
        {
           x=x*10;
           switch (str.charAt(i))
           {
              case '1': x++ ; break;
              case '2': x+=2; break;
              case '3': x+=3; break;
              case '4': x+=4; break;
              case '5': x+=5; break;
              case '6': x+=6; break;
              case '7': x+=7; break;
              case '8': x+=8; break;
              case '9': x+=9; break;

              case '0':
              default :
                        break;
           }
        }
        return x;
     }
}
