/********************************************************************
*		     JPassManage version 3.0								*
*   Management of login and password for sites or software			*
*		       Software for Palm Os									*
*                Copyright (C) 2002  Arnaud FARINE 					*
*		    <arnaud.farine@wanadoo.fr>								*
* This program is free software; you can redistribute it and/or		*
* modify it under the terms of the GNU General Public License		*
* as published by the Free Software Foundation; either version 2	*
* of the License, or (at your option) any later version.			*
*																	*
* This program is distributed in the hope that it will be useful,	*
* but WITHOUT ANY WARRANTY; without even the implied warranty of	*
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the		*
* GNU General Public License for more details.						*
*																	*
* You should have received a copy of the GNU General Public License	*
* along with this program; if not, write to 						*
*                    Free Software Foundation, Inc.,				*
*		      59 Temple Place - Suite 330,							*
*		      Boston, MA  02111-1307, USA.							*
*********************************************************************
/**
* FenAppliM
* @author Arnaud FARINE
* @version 4.3
*/

import waba.ui.*;
import waba.fx.Font;
import waba.fx.Color;
import waba.util.Vector;
import waba.ui.Timer;
import waba.sys.Settings;

/**
* Container de modification des informations
*/
public class FenAppliM extends ContMere {
	Label titre;
	Label lLogin;
	Label lPwd;
	Label lSite;
	Label lInfo;
	Label confirm;
	Edit edLogin;
	Edit edPwd;
	Edit edSite;
	Edit edInfo;
	Button btnUp;
	Button btnCanc;
	Timer afftps;
	
	/**
	* Le constructeur
	*/
	public FenAppliM(){
		setBackColor(super.fonds);
		setForeColor(super.texteGen);
		setRect(0,12*ContMere.MULTIY,Settings.screenWidth,Settings.screenHeight-12*ContMere.MULTIY);
		
		confirm = new Label("",Label.CENTER);
		add(confirm);
		confirm.setRect(LEFT,TOP,Settings.screenWidth,PREFERRED);
		
		
		titre = new Label("MODIFICATION",Label.CENTER);
		add(titre);
		titre.setRect(LEFT,AFTER+2,Settings.screenWidth,PREFERRED);
		titre.setFont(new Font("Arial",10,Font.BOLD));
		
		add(comboVu);
		comboVu.setRect(LEFT+10*MULTIX,AFTER+2*MULTIY,FILL-10*MULTIX,PREFERRED);
		
		comboCache = new ComboBox();
		
		lSite = new Label("Site/Logiciel :", Label.RIGHT);
		add(lSite);
		lSite.setRect(LEFT+10*MULTIX,AFTER+5*MULTIY,PREFERRED,PREFERRED);
		edSite = new Edit();
		add(edSite);
		edSite.setRect(AFTER+2*MULTIX,SAME,FILL-10*MULTIX,PREFERRED);
		
		
		lLogin = new Label("Identifiant : ",Label.RIGHT);
		add(lLogin);
		lLogin.setRect(LEFT+10*MULTIX,AFTER+5*MULTIY,PREFERRED,PREFERRED);
		edLogin = new Edit();
		add(edLogin);
		edLogin.setRect(AFTER+2*MULTIX,SAME,FILL-10*MULTIX,PREFERRED);
		
		
		lPwd = new Label("Mot de passe : ", Label.RIGHT);
		add(lPwd);
		lPwd.setRect(LEFT+10*MULTIX,AFTER+5*MULTIY,PREFERRED,PREFERRED);
		edPwd = new Edit();
		add(edPwd);
		edPwd.setRect(AFTER+2*MULTIX,SAME,FILL-10*MULTIX,PREFERRED);
		
		
		lInfo = new Label("Remarques : ", Label.LEFT);
		add(lInfo);
		lInfo.setRect(LEFT+10*MULTIX,AFTER+5*MULTIY,PREFERRED,PREFERRED);
		edInfo = new Edit();
		add(edInfo);
		edInfo.setRect(AFTER+2*MULTIX,SAME,FILL-10*MULTIX,PREFERRED);
		
		
		btnUp = new Button("Modifier");
		add(btnUp);
		btnUp.setRect(30*MULTIX,AFTER+10*MULTIY,46*ContMere.MULTIX,15*ContMere.MULTIY);
		
		btnCanc = new Button("Annuler");
		add(btnCanc);
		btnCanc.setRect(AFTER+15*MULTIX,SAME,46*ContMere.MULTIX,15*ContMere.MULTIY);
		
		chercheValeur();
	}
	
	/**
	* Gre les vnements survenants dans le container
	* @param Evenement capt par le container
	*/
	public void onEvent(Event e){
		int indexSel;
		String elementcombo;
		int numenreg=-1;
        switch (e.type){
            case ControlEvent.PRESSED:
            
            if (e.target == btnUp){
            	int tid = trouverId(comboVu.getSelectedIndex());
            	if ((tid>-1) && (!(edSite.getText()).trim().equals(""))){
            		dao=null;
            		dao = new AccesDaoPDB();
            		EnregIdPwd eip = new EnregIdPwd();
            		eip.setSite(edSite.getText());
            		eip.setLog(edLogin.getText());
            		eip.setPwd(edPwd.getText());
            		eip.setInfoSupp(edInfo.getText());
    		     	if (((dao.suppEnreg(tid))==0) && (dao.saveEnreg(eip)==0)){
    		     		comboVu.removeAll();
    		     		comboCache.removeAll();
    		     		afftps=confirm.addTimer(2000);
    		     		confirm.setText("Mise  jour effectue");
    		     		dao.dbClose();
		    	        dao=null;
    				    chercheValeur();
    		     	}
    		     	else {
						afftps=confirm.addTimer(2000);
    		     		confirm.setText("Une erreur est survenue|Mise  jour annule|Avertir l'auteur si le problme|persiste");
    		     		dao.dbClose();
    		     		dao=null;
    		     	}	
    		    }
	            else {
    	        	MessageBox mb = new MessageBox("Erreur","Le champs site ne peut tre vide");
        	    	mb.setBackColor(fondsMsg);
            		mb.setForeColor(texteMsg);
        	    	JPassManage m = (JPassManage)parentWindow;
	            	m.getMainWindow();
        	    	m.popupModal(mb);
            	}
            }
        	
            if (e.target == btnCanc){
            	JPassManage m = (JPassManage)parentWindow;
            	m.getMainWindow();
            	m.DessineFenetre("FenAppliC");
            }
            
            if (e.target == comboVu){
            	indexSel=comboVu.getSelectedIndex();
					if (indexSel>-1){
						elementcombo = (String)comboCache.getItemAt(indexSel);
						String len = elementcombo.substring(elementcombo.indexOf("*")+1,elementcombo.length());
						int indicerec = toInt(len,0,len.length());
						for (int i=0;i<longVect;i++){
								EnregIdPwd enregVect = (EnregIdPwd)(listRecord.elementAt(i));
								if ((enregVect.getId())==indicerec){
									edSite.setText(enregVect.getSite());
									edLogin.setText(enregVect.getLog());
									edPwd.setText(enregVect.getPwd());
									edInfo.setText(enregVect.getInfoSupp());
									return;
								}
						}	
            		}
            }
            break;
            case ControlEvent.TIMER:
            if (afftps!=null){
            	if (afftps.triggered) {
            		confirm.setText("");
            		confirm.removeTimer(afftps);
            		this.repaint();
            	}
            }
		}
	}
}
