/********************************************************************
*		     JPassManage version 3.0								*
*   Management of login and password for sites or software			*
*		       Software for Palm Os									*
*                Copyright (C) 2002  Arnaud FARINE 					*
*		    <arnaud.farine@wanadoo.fr>								*
* This program is free software; you can redistribute it and/or		*
* modify it under the terms of the GNU General Public License		*
* as published by the Free Software Foundation; either version 2	*
* of the License, or (at your option) any later version.			*
*																	*
* This program is distributed in the hope that it will be useful,	*
* but WITHOUT ANY WARRANTY; without even the implied warranty of	*
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the		*
* GNU General Public License for more details.						*
*																	*
* You should have received a copy of the GNU General Public License	*
* along with this program; if not, write to 						*
*                    Free Software Foundation, Inc.,				*
*		      59 Temple Place - Suite 330,							*
*		      Boston, MA  02111-1307, USA.							*
*********************************************************************
/**
* FenAppliS
* @author Arnaud FARINE
* @version 4.3
*/

import waba.ui.*;
import waba.fx.Font;
import waba.fx.Color;
import waba.util.Vector;
import waba.ui.Timer;
import waba.sys.Settings;
/*
* Le container qui permet de supprimer un enregistrement
*/
public class FenAppliS extends ContMere {
	Label titre;
	Label confirm;
	Button btnSupp;
	Button btnCanc;
	Timer afftps;
	
	/**
	* Le constructeur
	*/
	public FenAppliS(){
		setBackColor(super.fonds);
		setForeColor(super.texteGen);
		
		setRect(0,12*ContMere.MULTIY,Settings.screenWidth,Settings.screenHeight-12*ContMere.MULTIY);
		
		confirm = new Label("",Label.CENTER);
		add(confirm);
		confirm.setRect(LEFT,TOP,Settings.screenWidth,PREFERRED);
		
		
		titre = new Label("SUPPRESSION",Label.CENTER);
		add(titre);
		titre.setFont(new Font("Arial",10,Font.BOLD));
		titre.setRect(LEFT,AFTER+2,Settings.screenWidth,PREFERRED);
		
		
		comboVu.setRect(30,40,100,16);
		add(comboVu);
		comboVu.setRect(10*MULTIX,AFTER+8*MULTIY,FILL-10*MULTIX,PREFERRED);
		
		btnSupp = new Button("Supprimer");
		add(btnSupp);
		btnSupp.setRect(25*ContMere.MULTIX,BOTTOM-25*ContMere.MULTIY,46*ContMere.MULTIX,15*ContMere.MULTIY);
		
		btnCanc = new Button("Annuler");
		add(btnCanc);
		btnCanc.setRect(AFTER+5*ContMere.MULTIX,SAME,46*ContMere.MULTIX,15*ContMere.MULTIY);
		
		chercheValeur();
	}
	
	/**
	* Gre les vnements survenant au sein du container
	* @param e Evnement capt par le container
	*/
	
	public void onEvent(Event e){
        switch (e.type){
            case ControlEvent.PRESSED:
            if (e.target == btnSupp){
            	int tid = trouverId(comboVu.getSelectedIndex());
            	if (tid>-1){
            		dao=null;
            		dao = new AccesDaoPDB();
    		     	if ((dao.suppEnreg(tid))==0){
						comboVu.removeAll();
    		     		comboCache.removeAll();
    		     		confirm.setText("Suppression effectue");
    		     		afftps=confirm.addTimer(2000);
    		     		dao.dbClose();
		    	        dao=null;
    				    chercheValeur();
    		     	}
    		     	else {
						afftps=confirm.addTimer(2000);
    		     		confirm.setText("Une erreur est survenue|Suppression annule|Avertir l'auteur si le probleme|persiste");
    		     		dao.dbClose();
    		     		dao=null;
    		     	}	
    		     }
            }
        
            if (e.target == btnCanc){
            	JPassManage m = (JPassManage)parentWindow;
            	m.getMainWindow();
            	m.DessineFenetre("FenAppliC");
            }
            break;
            case ControlEvent.TIMER:
            if (afftps!=null){
            	if (afftps.triggered){
            		confirm.setText("");
            		confirm.removeTimer(afftps);
            		this.repaint();
            	}
            }
		}
	}
}

