/********************************************************************
*		     JPassManage version 3.0								*
*   Management of login and password for sites or software			*
*		       Software for Palm Os									*
*                Copyright (C) 2002  Arnaud FARINE			 		*
*		    <arnaud.farine@wanadoo.fr>								*
* This program is free software; you can redistribute it and/or		*
* modify it under the terms of the GNU General Public License		*
* as published by the Free Software Foundation; either version 2	*
* of the License, or (at your option) any later version.			*
*																	*
* This program is distributed in the hope that it will be useful,	*
* but WITHOUT ANY WARRANTY; without even the implied warranty of	*
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the		*
* GNU General Public License for more details.						*	
*																	*
* You should have received a copy of the GNU General Public License	*
* along with this program; if not, write to 						*
*                    Free Software Foundation, Inc.,				*
*		      59 Temple Place - Suite 330,							*
*		      Boston, MA  02111-1307, USA.							*
*********************************************************************
/**
* FenExport
* @author Arnaud FARINE
* @version 4.3
*/

import waba.ui.*;
import waba.fx.Color;
import waba.fx.Font;
import waba.ui.Timer;
import waba.sys.Settings;
/**
* Container de consultation des informations
* Container par dfaut
*/
public class FenExport extends Container{
	Label information;
	Label demandfich;
	Edit nomfich;
	Button bok;
	Button bret;
	Timer afftps;
	String messagenorm="EXPORTATION|des donnees de JPM|Une note sera ajoute au bloc-notes|ayant pour titre le nom de fichier|que vous allez indiquer.";
	
	Color fonds;
	Color texteGen;
	Color titre;
	Color fondsMsg;
	Color texteMsg;
	/**
	* Le constructeur
	*/
	public FenExport(){	
		setColorMain();
		setBackColor(fonds);
		setForeColor(texteGen);
		setRect(0,12*ContMere.MULTIY,Settings.screenWidth,Settings.screenHeight-12*ContMere.MULTIY);
		
		information = new Label(messagenorm,Label.CENTER);
		add(information);
		information.setRect(LEFT,TOP+10*ContMere.MULTIY,Settings.screenWidth,60*ContMere.MULTIY);
		
		
		demandfich = new Label("Saisissez le nom du la note :",Label.CENTER);
		add(demandfich);
		demandfich.setRect(LEFT,AFTER+5*ContMere.MULTIY,Settings.screenWidth,PREFERRED);
		
		nomfich = new Edit();
		add(nomfich);
		nomfich.setRect(LEFT+40*ContMere.MULTIX,AFTER+2*ContMere.MULTIY,FILL-40*ContMere.MULTIX,PREFERRED);
		
		bok = new Button("Exporter");
		add(bok);
		bok.setRect(30*ContMere.MULTIX,BOTTOM-20*ContMere.MULTIY,46*ContMere.MULTIX,15*ContMere.MULTIY);
		
		bret = new Button("Annuler");
		add(bret);
		bret.setRect(AFTER+5*ContMere.MULTIX,SAME,46*ContMere.MULTIX,15*ContMere.MULTIY);
		
	}
	
	private void setColorMain(){
  		if (Settings.isColor){
  			fonds = new Color(255,255,204); //jaune
  			texteGen = new Color(153,0,102); //bordeau
  			fondsMsg = fonds;
  			texteMsg = new Color(153,51,204);//violet	
  		}
  		else {
  			fonds = Color.WHITE;
  			texteGen = Color.BLACK;
  			fondsMsg = fonds;
  			texteMsg = Color.BLACK;
  		}
  	}
	/**
	* Gre les vnements survenant sur le container
	* @param e Evnements capt par la fentre
	*/
	public void onEvent (Event e){
		  switch (e.type){
            case ControlEvent.PRESSED:
            if (e.target == bok){
            	String nf = (nomfich.getText()).trim();
            	if (nf.equals("")){
         			MessageBox mb = new MessageBox("Erreur","Indiquez le nom de la note");
         			mb.setBackColor(fondsMsg);
            		mb.setForeColor(texteMsg);
        	    	JPassManage m = (JPassManage)parentWindow;
	            	m.getMainWindow();
        	    	m.popupModal(mb);   		
            	}
            	else {            		
            		AccesDaoPDB db = new AccesDaoPDB();
        			if(db.expData(nf)==0){
        				afftps = information.addTimer(3000);
        				information.setText("Exportation russie");
        			}
        			else{
        				afftps = information.addTimer(5000);
        				information.setText("ERREUR|L'exportation a chou|Si le problme persiste|contactez l'auteur");	
        			}
        			db.dbClose();
            	}
            }
            if (e.target == bret){
            	JPassManage m = (JPassManage)parentWindow;
            	m.getMainWindow();
            	m.DessineFenetre("FenAppliC");
            }
            case ControlEvent.TIMER:
            if (afftps!=null){
            	if (afftps.triggered) {
            		information.setText(messagenorm);
            		information.removeTimer(afftps);
            		this.repaint();
            	}
            }
		}	       		
	}
}
