/**
* FenPass
* @author Arnaud FARINE
* @version 4.3
*/

import waba.ui.*;
import waba.fx.Font;
import waba.fx.Color;
import waba.sys.Vm;
import waba.sys.Settings;

public class FenPass extends Container{
	Label lbPassOne;
	Edit edPassOne;
	Label lbPassTwo;
	Edit edPassTwo;
	Label lbInfo;
	MainWindow mw;
	JPassManage m;
	Button btnOk;
	Button btnCanc;
	
	Color fonds1;
	Color texteGen1;
	Color fondsMsg;
	Color texteMsg;
	Color titre;
	boolean mod;
	public FenPass(boolean modification){
		setColorPass();
		setBackColor(fonds1);
		setForeColor(texteGen1);
		this.setRect(1*ContMere.MULTIX,12*ContMere.MULTIY,Settings.screenWidth,Settings.screenHeight-12*ContMere.MULTIY);
		mod = modification;
		initFen();
		
	}
	
	private void setColorPass(){
  		if (Settings.isColor){
  			fonds1 = new Color(255,255,204); //jaune
  			texteGen1 = new Color(153,0,102); //bordeau
  			fondsMsg = fonds1;
  			texteMsg = new Color(153,51,204);//violet	
  		}
  		else {
  			fonds1 = Color.WHITE;
  			texteGen1 = Color.BLACK;
  			fondsMsg = fonds1;
  			texteMsg = Color.BLACK;
  		}
  		
  	}
	private void initFen(){
		lbInfo = new Label("MOT DE PASSE",Label.CENTER);
		add(lbInfo);
		lbInfo.setFont(new Font("Arial",10*ContMere.MULTIY,Font.BOLD));
		lbInfo.setRect(0,TOP,FILL,PREFERRED);
		
		
		if (mod){
			lbPassOne = new Label("Nouveau mot de passe");
		}
		else lbPassOne = new Label("Mot de passe");
		add(lbPassOne);
		lbPassOne.setRect(LEFT+5*ContMere.MULTIX, AFTER+15*ContMere.MULTIY, PREFERRED, 17*ContMere.MULTIY);
		
		edPassOne = new Edit();
		add(edPassOne);
		edPassOne.setRect(AFTER + 2*ContMere.MULTIX, SAME, FILL - 10*ContMere.MULTIX,PREFERRED);
		
		if (mod){
			lbPassTwo = new Label("Rpter le mot de passe");
			add(lbPassTwo);
			lbPassTwo.setRect(LEFT+5*ContMere.MULTIX,AFTER + 5*ContMere.MULTIY,PREFERRED,15*ContMere.MULTIY);
			
			edPassTwo = new Edit();
			add(edPassTwo);
			edPassTwo.setRect(AFTER + 2*ContMere.MULTIX,SAME,FILL - 10*ContMere.MULTIX,PREFERRED);
			
		}
		btnOk = new Button("Valider");
		add(btnOk);
		btnOk.setRect(25*ContMere.MULTIX,BOTTOM-50*ContMere.MULTIY,46*ContMere.MULTIX,15*ContMere.MULTIY);
		
		btnCanc = new Button("Annuler");
		add(btnCanc);
		btnCanc.setRect(AFTER+5*ContMere.MULTIX,SAME,46*ContMere.MULTIX,15*ContMere.MULTIY);
		
	}
	
	/**
	* Gre les vnements survenants dans le container
	* @param Evenement capt par le container
	*/
	public void onEvent(Event e){
		m = (JPassManage)parentWindow;
        mw = m.getMainWindow();	
        switch (e.type){
            case ControlEvent.PRESSED:
            if (e.target == btnOk){
            	if (mod){
            		enregistrerPass(edPassOne.getText(),edPassTwo.getText());	
            		return;
            	}
            	else {
            		String passSaisi = edPassOne.getText().trim();

            		AccesDaoPDB adp = new AccesDaoPDB();
            		User us = adp.getUser();
            		if (passSaisi.equals(us.getParam1())){
            			m.construitMenu();
            			m.DessineFenetre("FenAppliC");
            			return;
            		}
            		else {
            			MessageBox mb = new MessageBox("Erreur","Mot de passe incorrect");
            			mb.setBackColor(fondsMsg);
            			mb.setForeColor(texteMsg);
            			mw.popupModal(mb);
            			return;
            		}
            	}
            }
            if (e.target == btnCanc){
                if (mod){
            		m.DessineFenetre("FenAppliC");
            		return;
            	}
            	else m.exit(0);
            }
       }
     }  
     private void enregistrerPass(String s1, String s2){
     	if (mod){		
     		if (s1.length()==0){
     			MessageBox mb = new MessageBox("Erreur","Veuillez saisir un|mot de passe");
     			mb.setBackColor(fondsMsg);
            			mb.setForeColor(texteMsg);
     			mw.popupModal(mb);	
     		}
     		else {
     			if (s2.length()==0){
     				MessageBox mb = new MessageBox("Erreur","Veuillez rpeter votre|mot de passe");
     				mb.setBackColor(Color.WHITE);
     				mw.popupModal(mb);
     			}
     			else{
     				if (!s1.equals(s2)){
     					MessageBox mb = new MessageBox("Erreur","Les mots de passe saisis|    sont diffrents");
     					mb.setBackColor(fondsMsg);
            			mb.setForeColor(texteMsg);
     					mw.popupModal(mb);
     				}
     				else{
     					User u = new User();
     					u.setParam1(s1);
     					AccesDaoPDB adp = new AccesDaoPDB();
     					if (adp.setUser(u)==0){
     						MessageBox mb = new MessageBox("Mot de passe","Modification effectue|Garder bien ce nouveau|mot de passe!");
     						mb.setBackColor(fondsMsg);
            				mb.setForeColor(texteMsg);
     						mw.popupModal(mb);
     					}
     					else {
     						MessageBox mb = new MessageBox("Erreur","Modification annule");
     						mb.setBackColor(fondsMsg);
            				mb.setForeColor(texteMsg);
     						mw.popupModal(mb);
     					}
     					
     				}
     			}	
     		}	
     	}
     }
}
