/********************************************************************
*		     JPassManage version 3.0								*
*   Management of login and password for sites or software			*
*		       Software for Palm Os									*
*                Copyright (C) 2002  Arnaud FARINE 					*
*		    <arnaud.farine@wanadoo.fr>								*
* This program is free software; you can redistribute it and/or		*
* modify it under the terms of the GNU General Public License		*
* as published by the Free Software Foundation; either version 2	*
* of the License, or (at your option) any later version.			*
*																	*
* This program is distributed in the hope that it will be useful,	*
* but WITHOUT ANY WARRANTY; without even the implied warranty of	*
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the		*
* GNU General Public License for more details.						*
*																	*
* You should have received a copy of the GNU General Public License	*
* along with this program; if not, write to 						*
*                    Free Software Foundation, Inc.,				*
*		      59 Temple Place - Suite 330,							*
*		      Boston, MA  02111-1307, USA.							*
*********************************************************************
/**
* JPassManage
* @author Arnaud FARINE
* @version 4.3
*/
import waba.ui.*;
import waba.fx.*;
import waba.sys.Settings;
import waba.sys.Vm;

/**
* Fenetre principale de l'application
*/
public class JPassManage extends MainWindow {	
	String col0[] = {"Params","Creation","Modification","Suppression","-","Scurit","-","Quitter"};
	String col1[] = {"Imp/Exp","JPM->Bloc-Notes","Bloc-Notes->JPM"};
	String col2[] = {"A propos","Auteur"};
	public static FenAppliC fenc;	
	FenAppliA fena;
	FenAppliM fenm;
	FenAppliS fens;
	FenExport fenx;
	FenImport feni;
	FenPass fenp;
	MenuBar mb;
	public Color fonds;
	public Color texteGen;
	Color titre;
	Color fondsMsg;
	Color texteMsg;
	Color cursorMb;
	int w = -1;
	int h = -1;
	
	
	
	public JPassManage() {
		super("JPassManage",TAB_ONLY_BORDER);
		setDoubleBuffer(true);
		setColorPrinc();
  		setBackColor(fonds);
  		setForeColor(texteGen);

		w = Settings.screenWidth;
		h = Settings.screenHeight;
  		fenp = new FenPass(false);
  		add(fenp);
  	}
  	
  	private void setColorPrinc(){
  		if (Settings.isColor){
  			fonds = new Color(255,255,204); //jaune
  			texteGen = new Color(153,0,102); //bordeau
  			fondsMsg = fonds;
  			texteMsg = new Color(153,51,204);//violet
  			cursorMb = new Color(255,255,51);
  		}
  		else {
  			fonds = Color.WHITE;
  			texteGen = Color.BLACK;
  			fondsMsg = fonds;
  			texteMsg = Color.BLACK;
  			cursorMb = Color.WHITE;
  		}
  	}
  	
  	public void construitMenu(){
  		mb = new MenuBar(new String[][]{col0,col1,col2});
  		mb.setBackColor(texteGen);
  		mb.setForeColor(new Color(153,153,255));
  		mb.setCursorColor(cursorMb);
  		mb.setPopColors(texteGen,new Color(153,153,255),cursorMb);
  		setMenuBar(mb);
  		
  	}
  	/**
  	* Gre les vnements survenant sur la fenetre
  	*/
	public void onEvent(Event e){
    	switch (e.type){
    		case ControlEvent.WINDOW_CLOSED:
            if (e.target == mb){
               switch (mb.getSelectedMenuItem()){
	               case -1:break;
    	           case 1:
        	       		if (fena==null){
        	       			fena= new FenAppliA();
        	       			add(fena);
        	       		}
        	       		DessineFenetre("FenAppliA");
        	       		suppContainerAffiche('a');
        	       		break;

              		case 2:
               			if (fenm==null){
        	       			fenm= new FenAppliM();
							add(fenm);
        	       		}
        	       		DessineFenetre("FenAppliM");			
       					suppContainerAffiche('m');
       					break;
               		case 3:
               			if (fens==null){
        	       			fens= new FenAppliS();
        	       			add(fens);
        	       		}
        	       		DessineFenetre("FenAppliS");
        	       		suppContainerAffiche('s');
        	       		break;
					case 5:
						if (fenp==null){
							fenp = new FenPass(true);
							add(fenp);	
						}
						DessineFenetre("FenPass");	
						suppContainerAffiche('p');
						break;
        	       	case 7:
        	       		exit(0);
        	       		break;
        	       	case 101:
        	       		if (fenx==null){
        	       			fenx=new FenExport();
        	       			add(fenx);
        	       		}
        	       		DessineFenetre("FenExport");
        	       		suppContainerAffiche('x');
        	       		break;
        	       	case 102:
        	       		if (feni==null){
        	       			feni=new FenImport();
        	       			add(feni);
        	       		}
        	       		DessineFenetre("FenImport");
        	       		suppContainerAffiche('i');
        	       		break;
        	       	case 201:
        	       		MessageBox mb=new MessageBox("Auteur","Arnaud FARINE|superwaba-france.com||arnaud.farine@wanadoo.fr|JPassManagev4.3|Superwaba3.4|MobileCreator1.5");
        	       		mb.setBackColor(fondsMsg);
        	       		mb.setForeColor(texteMsg);
        	       		this.popupModal(mb);
        	       		break;
             }
           }
    	}
	}
	
	private void suppContainerAffiche(char s){
		if (s!='a' && fena!=null) this.remove(fena);
		if (s!='m' && fenm !=null) this.remove(fenm);
		if (s!='s' && fens !=null) this.remove(fens);
		if (s!='c' && fenc !=null) this.remove(fenc);
		if (s!='x' && fenx !=null) this.remove(fenx);
		if (s!='i' && feni !=null) this.remove(feni);		
	}
	/**
	* Affiche le container pass en paramtre
	* @param nomcontainer Le nom du container  afficher (FenAppliA,C,S ou M)
	*/ 
	public void DessineFenetre(String nomcontainer){
		Control nbFen[] = getChildren();
		int nbControl=nbFen.length;
		for (int i=0;i<nbControl;i++){
			String val=(""+(nbFen[i])).substring(0,9);
			if (!val.equals(nomcontainer)){
				nbFen[i].setVisible(false);
			}
		}
		       if (nomcontainer.equals("FenAppliA")){
					fena=null;
					fena = new FenAppliA();
					add(fena);
					setFocus(fena);
				}
				if (nomcontainer.equals("FenAppliM")){
					fenm=null;
					fenm = new FenAppliM();
					add(fenm);
					setFocus(fenm);
				}
				if (nomcontainer.equals("FenAppliS")){
					fens=null;
					fens = new FenAppliS();
					add(fens);
					setFocus(fens);
				}
				if (nomcontainer.equals("FenAppliC")){
					fenc=null;
					fenc = new FenAppliC();
					add(fenc);
					setFocus(fenc);
				}
				if (nomcontainer.equals("FenExport")){
					fenx=null;
					fenx = new FenExport();
					add(fenx);
					setFocus(fenx);
				}
				if (nomcontainer.equals("FenImport")){
					feni=null;
					feni = new FenImport();
					add(feni);
					setFocus(feni);
				}
				if (nomcontainer.equals("FenPass")){
					fenp=null;
					fenp = new FenPass(true);
					add(fenp);
					setFocus(fenp);
				}
		repaintNow();
	}
	
}
